

declare @id_reporte as integer
set @id_reporte =(select id from rep_reporte where reporte_codigo ='formatos/Traslado')
declare @uid varchar(500)
select @uid=uid from seg_usuario where id=1

if not exists (select * from rep_origenDato  where origenDato ='for_unDocumentoTraslado' and id_reporte=@id_reporte )
begin
insert into [rep_origenDato] ([uid] ,[eid] ,[id_usuario_modifico] ,[id_usuario_creo] ,[fechaModificacion] ,[fechaCreacion] ,[active] ,[origenDato] ,
[origenDato_codigo] ,[id_reporte] ,[duracion] )
values
(@uid,'01',1,1,GETDATE(),GETDATE(),1,'for_unDocumentoTraslado','',@id_reporte,0)
end

if not exists (select * from rep_origenDato  where origenDato ='for_itemDocumentoXTraslado' and id_reporte=@id_reporte )
begin
insert into [rep_origenDato] ([uid] ,[eid] ,[id_usuario_modifico] ,[id_usuario_creo] ,[fechaModificacion] ,[fechaCreacion] ,[active] ,[origenDato] ,
[origenDato_codigo] ,[id_reporte] ,[duracion] )
values
(@uid,'01',1,1,GETDATE(),GETDATE(),1,'for_itemDocumentoXTraslado','',@id_reporte,0)
end







